{namespace drk=DRK\DrkClothescontainersearch\ViewHelpers}

<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
      xmlns:drk="http://typo3.org/ns/Drk/Template/ViewHelpers"
      data-namespace-typo3-fluid="true">

<f:layout name="Default"/>

<f:section name="content">
    <div class="c-clothescontainer c-clothescontainer-search">
        <header class="header">
            <h3>{f:translate(id: 'clothescontainerResult.form.headline')}</h3>
        </header>
        <f:form action="clothescontainerResult" class="o-form c-clothescontainer-form" method="get">
            <p>{f:translate(id: 'clothescontainerResult.form.description')}</p>
            <div class="form-group">
                <f:form.textfield name="sSearchstring" class="searchbox"
                                  id="tx-drkclothescontainer-angebote-searchbox" value="{zip}"/>
                <label class="o-form__label" for="tx-drkclothescontainer-angebote-searchbox">
                    {f:translate(id: 'clothescontainerResult.form.angebote_plz.label')}
                </label>
            </div>
            <div class="form-group">
                <f:if condition="{searchRangeSelection}">
                    <f:form.select class="" id="iSearchRange" name="iSearchRange" options="{searchRangeSelection}" value="{searchRange}" />
                    <label class="o-form__label" for="iSearchRange">
                        {f:translate(id: 'form.clothescontainer.range.label')}
                    </label>
                </f:if>
            </div>
            <div class="form-group">
                <f:form.submit name="submit" id="tx-drkclothescontainer-angebote-button-submit" class="button button--primary o-btn o-btn--full" value="{f:translate(id: 'clothescontainerResult.form.submit')}"/>
                <f:if condition="{settings.location_search}">
                    <a href="#" class="o-btn--geoloaction button button--primary" target="_blank" rel="noopener" title="Meinen Standort ermitteln.">
                        <drk:svgEmbed src="EXT:drk_clothescontainersearch/Resources/Public/Images/icon_gps-indicator.svg" />
                    </a>
                </f:if>
            </div>
        </f:form>
        <div class="c-clothescontainer-search__result">
            <f:if condition="{clothescontainers}">
                <f:then>
                    <p>
                        <f:format.raw>{f:translate(id: 'clothescontainerResult.list.headline', arguments: '{0: zip}')}</f:format.raw>
                    </p>
                    <f:if condition="{settings.show_map}">
                        <f:render partial="Map" arguments="{clothescontainers: pagination.paginator.paginatedItems}"/>
                    </f:if>
                    <ul class="c-clothescontainer-search__result-list">
                        <f:for each="{pagination.paginator.paginatedItems}" as="clothescontainer" iteration="iterator">
                            <f:render partial="ClothescontainerItem" arguments="{clothescontainer:clothescontainer}" />
                        </f:for>
                    </ul>

                    <f:render partial="Pagination" arguments="{pagination: pagination.pagination, paginator: pagination.paginator, actionName: 'clothescontainerResult'}" />

                </f:then>
                <f:else>
                    <f:if condition="{Error}">
                        <f:then>
                            <p><f:format.raw>{f:translate(id: 'clothescontainerResult.list.error')}</f:format.raw></p>
                        </f:then>

                        <f:else>
                            <f:if condition="{organisation}">
                                <f:then>
                                    <p><f:format.raw>
                                        {f:translate(id: 'clothescontainerResult.list.organisation', arguments: '{
                                        0: zip,
                                        1: organisation.orgName,
                                        2: organisation.orgZipcode,
                                        3: organisation.orgCity,
                                        4: organisation.orgFon,
                                        5: organisation.orgUrl,
                                        6: \'{organisation.orgLatitude -> f:format.number(decimals: 10,
                                        thousandsSeparator: "")}\',
                                        7: \'{organisation.orgLongitude -> f:format.number(decimals: 10,
                                        thousandsSeparator: "")}\'
                                        }')}
                                        </f:format.raw>
                                    </p>
                                </f:then>

                                <f:else>
                                    <p><f:format.raw>{f:translate(id: 'clothescontainerResult.list.noOfferLinks')}</f:format.raw></p>
                                </f:else>
                            </f:if>
                        </f:else>
                    </f:if>
                </f:else>
            </f:if>
        </div>
    </div>
</f:section>
